Package Details: ansible-container 0.9.2-2

Git Clone URL: https://aur.archlinux.org/ansible-container.git (read-only)
Package Base: ansible-container
Description: Ansible Container is a tool to build Docker images and orchestrate containers using only Ansible playbooks
Upstream URL: https://github.com/ansible/ansible-container
Keywords: ansible configuration container docker management
Licenses: GPL
Submitter: jelly
Maintainer: kbabioch
Last Packager: kbabioch
Votes: 1
Popularity: 0.070573
First Submitted: 2017-08-31 11:50
Last Updated: 2018-07-31 19:54

Latest Comments

eigengrau commented on 2018-09-02 06:40

When running «ansible-container build», I get:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/container/cli.py", line 299, in __call__
    getattr(core, u'hostcmd_{}'.format(args.subcommand))(**vars(args))
  File "/usr/lib/python3.7/site-packages/container/__init__.py", line 28, in __wrapped__
    return fn(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/container/core.py", line 181, in hostcmd_build
    environment=env_vars
  File "/usr/lib/python3.7/site-packages/container/docker/engine.py", line 105, in __wrapped__
    return fn(self, *args, **kwargs)
  File "/usr/lib/python3.7/site-packages/container/__init__.py", line 28, in __wrapped__
    return fn(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/container/docker/engine.py", line 1000, in build_conductor_image
    arcname='container-src/conductor-build/setup.py')
  File "/usr/lib/python3.7/tarfile.py", line 1926, in add
    tarinfo = self.gettarinfo(name, arcname)
  File "/usr/lib/python3.7/tarfile.py", line 1805, in gettarinfo
    statres = os.lstat(name)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/lib/python3.7/site-packages/container/docker/files/setup.py'

jelly commented on 2018-07-23 19:53

@kbabioch I don't really have an interest in maintaining this package anymore, so I'll orphan it.

kbabioch commented on 2018-07-17 11:56

Due to a bug 1 this package does not build currently, as the lastest version of pip is not yet supported.

gangelop commented on 2017-11-06 16:09

Missing deps:
'python-yaml' 'python-colorama'

adrianlzt commented on 2017-10-12 16:33

Missing dep python-structlog